Subject: [CCAMP] I-D Action:draft-ietf-ccamp-lmp-behavior-negotiation-01.txt

From: [email-masked]
Date: Mon, 11 Oct 2010 00:15:02 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Common Control and Measurement Plane Working Group of the IETF.

	Title           : Behavior Negotiation in The Link Management Protocol
	Author(s)       : D. Li, D. Ceccarelli
	Filename        : draft-ietf-ccamp-lmp-behavior-negotiation-01.txt
	Pages           : 8
	Date            : 2010-10-11

The Link Management Protocol (LMP) is used to coordinate the 
properties, use, and faults of data links in Generalized 
Multiprotocol Label Switching (GMPLS) networks. Various proposals 
have been advanced to provide extensions to the base LMP 
specification. This document defines an extension to negotiated 
capabilities and provides a generic procedure for LMP 
implementations that do not recognize or do not support any one of 
these extensions.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ccamp-lmp-behavior-negotiation-01.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Dan Li <[email-masked]>
Date: Mon, 11 Oct 2010 15:29:41 +0800

Hi all,

As we have discussed during IETF 78th meeting in Masstricht, the architecture bits are removed in this updated 01 version. 

Please check out the updated draft-ietf-ccamp-lmp-behavior-negotiation. Comments are always welcome!

Best regards,

Dan

在 2010-10-11，下午3:15， [email-masked] 写道：

> <邮件附件>_______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

---

From: Richard Graveman <[email-masked]>
Date: Mon, 11 Oct 2010 11:59:00 -0400

您好Dan，

The Security Considerations of this draft section says that the
security in RFC 4204 is RECOMMENDED, so it may be worthwhile to go
back and look at that.

With one exception, IMO the recommendations in 4204 are sound, but
they are out of date. In particular:

1. RFC 5996 makes a lot of the more complicated the text about Quick
Mode, Aggressive Mode, and DOI unnecessary.

2. RFC 5840 may be a convenient improvement for some deployments.

3. There is no discussion about NAT or an IPv4-IPv6 transition environment.

4. Newer cryptographic algorithms may be more secure and more efficient.

Nevertheless, there may be cases where the old-style RFC-2401-based
IPsec is available but the new style RFC-4301-5996-based IPsec is not.

The Security Considerations section of this draft says something about
messages being intercepted. The confidentiality service of ESP can
mitigate that of course, but RFC 4204 proscribes confidentiality. This
seems rash to me. A statement that authentication, replay detection,
and integrity may be the most important security services in most case
suffices. Saying that confidentiality is not needed is making too many
assumptions about the operational environment. The situation may vary
from case to case. See also RFC 5920 for additional guidance.

Rich Graveman

2010/10/11 Dan Li <[email-masked]>:
> _______________________________________________
> CCAMP mailing list
> [email-masked]

---

From: Dan Li <[email-masked]>
Date: Wed, 13 Oct 2010 09:29:14 +0800

Hello Rich,

Thanks your comments on this draft.

With respect to "Security Consideration" section in this draft, our intention is to describe the security implications and requirements of this draft. As you know the basic security issues of LMP have been addressed in RFC4204. 

You have pointed out that some new mechanisms have been defined in the newly published RFCs, I think "re-evaluation" of LMP security *could* form the basis of a new draft.

Honestly I don't know if I get your point, any specific modification suggestions on this section?

Thanks,

Dan